Help for QGIS installation /Aide pour installer QGIS

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Help for QGIS installation /Aide pour installer QGIS

SENFAUTE Gloria

Dear all,

In case, you can write in French!

I need a strong help for updating or installing last version of QGIS.

Working in linus (Debian GNU/Linux 9 (stretch) 64 bits).

In my computer I have a version of QGIS (2.4 ESSEN).

In few days I will have my first training with QGIS and I must to install: QGIS 3.10.14 LTR.

 

I would like to know what is the better way:

1)To update of QGIS 2.4 to 3.10.14 LTR, How to do it ?

2) To remove QGIS 2.4 and then re-install following the steps of QGIS site for linus ?

I am so afraid of this last solution: if I remove and I cannot install the new QGIS.

I administrator of my computer but I have also many proxis installed by my company, so I didn’t try, I am waiting for advises.

 

Thank you very much !

 

Gloria

 

 

 

 

<img width="110" height="60" id="_x0000_i1025" src="file:///C:\Users\h63357\AppData\Roaming\Microsoft\Signatures\logo_edf_signature.gif">

 

Gloria SENFAUTE
Ingénieur Chercheur, PhD
Expert Aléa Sismique
Département Electrotechnique et Mécanique des Structures - ERMES
Groupe Séisme et Impacts, EDF Lab Paris-Saclay
7 Boulevard Gaspard Monge
91120 Palaiseau

 

Tél. : 33 1 78193433

 

Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.

 


Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.


_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Help for QGIS installation /Aide pour installer QGIS

Nicolas Boisteault-4

Hi Gloria,

You could install QGIS in a virtual machine using Virtual Box or in a container with Docker (https://github.com/qgis/QGIS/tree/master/.docker#running-qgis).

This way you'll be safe of any bad changes.

Le 23/02/2021 à 11:23, SENFAUTE Gloria a écrit :

Dear all,

In case, you can write in French!

I need a strong help for updating or installing last version of QGIS.

Working in linus (Debian GNU/Linux 9 (stretch) 64 bits).

In my computer I have a version of QGIS (2.4 ESSEN).

In few days I will have my first training with QGIS and I must to install: QGIS 3.10.14 LTR.

 

I would like to know what is the better way:

1)To update of QGIS 2.4 to 3.10.14 LTR, How to do it ?

2) To remove QGIS 2.4 and then re-install following the steps of QGIS site for linus ?

I am so afraid of this last solution: if I remove and I cannot install the new QGIS.

I administrator of my computer but I have also many proxis installed by my company, so I didn’t try, I am waiting for advises.

 

Thank you very much !

 

Gloria

 

 

 

 

<img id="_x0000_i1025" src="file:///C:\Users\h63357\AppData\Roaming\Microsoft\Signatures\logo_edf_signature.gif" moz-do-not-send="true" width="110" height="60">

 

Gloria SENFAUTE
Ingénieur Chercheur, PhD
Expert Aléa Sismique
Département Electrotechnique et Mécanique des Structures - ERMES
Groupe Séisme et Impacts, EDF Lab Paris-Saclay
7 Boulevard Gaspard Monge
91120 Palaiseau

 

Tél. : 33 1 78193433

 

Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.

 


Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.


_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Help for QGIS installation /Aide pour installer QGIS

Nicolas Cadieux-2
In reply to this post by SENFAUTE Gloria
Hi,
2.4 and 3.x can live together on the same machine in Windows. Is it the same in Linux? Probably...  I figure you can install 3.10 without removing anything.  Can a true  Linux fan confirm?

As for the Linux installation, I followed the instructions here on a Ubuntu machine and it worked well.

https://www.qgis.org/fr/site/forusers/alldownloads.html


Le 23 févr. 2021 à 05:31, SENFAUTE Gloria <[hidden email]> a écrit :



Dear all,

In case, you can write in French!

I need a strong help for updating or installing last version of QGIS.

Working in linus (Debian GNU/Linux 9 (stretch) 64 bits).

In my computer I have a version of QGIS (2.4 ESSEN).

In few days I will have my first training with QGIS and I must to install: QGIS 3.10.14 LTR.

 

I would like to know what is the better way:

1)To update of QGIS 2.4 to 3.10.14 LTR, How to do it ?

2) To remove QGIS 2.4 and then re-install following the steps of QGIS site for linus ?

I am so afraid of this last solution: if I remove and I cannot install the new QGIS.

I administrator of my computer but I have also many proxis installed by my company, so I didn’t try, I am waiting for advises.

 

Thank you very much !

 

Gloria

 

 

 

 

 

Gloria SENFAUTE
Ingénieur Chercheur, PhD
Expert Aléa Sismique
Département Electrotechnique et Mécanique des Structures - ERMES
Groupe Séisme et Impacts, EDF Lab Paris-Saclay
7 Boulevard Gaspard Monge
91120 Palaiseau

 

Tél. : 33 1 78193433

 

Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.

 


Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.

_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Help for QGIS installation /Aide pour installer QGIS

Richard Duivenvoorde
In reply to this post by SENFAUTE Gloria
Hi Gloria,

Not sure if you can pull up to 3.10 on Debian Stretch/9 (which is rather old....).

If I look here:
https://qgis.org/debian/dists/stretch/main/binary-amd64/Packages
it looks like that if you try to install QGIS in the normal/distro way, you will end up with QGIS 3.4  (I think, anybody can confirm ...)

Isn't it possible to upgrade your machine to Debian 10/Buster?
Then you can upgrade to 3.12 (which is 3.10 plus a little extra ;-) ) if you use the "Démarrage rapide"
https://www.qgis.org/fr/site/forusers/alldownloads.html#quickstart
Or even 3.14, 3.16 (tell your educator there is a newer LTR ;-) ) or higher?

If all fails, you  could try to install a flatpak (but not sure about that either for Debian 9):
https://www.qgis.org/fr/site/forusers/alldownloads.html#flatpak

And if even that fails... and you have some experience with compiling yourself, you could compile from source...

But: Stretch is rather old, if you ask me: upgrade to Buster/10 first

Good Luck & regards,

Richard Duivenvoorde




On 2/23/21 11:23 AM, SENFAUTE Gloria wrote:

> Dear all,
>
> In case, you can write in French!
>
> I need a strong help for updating or installing last version of QGIS.
>
> Working in linus (Debian GNU/Linux 9 (stretch) 64 bits).
>
> In my computer I have a version of QGIS (2.4 ESSEN).
>
> In few days I will have my first training with QGIS and I must to install: QGIS 3.10.14 LTR.
>
>  
>
> I would like to know what is the better way:
>
> 1)To update of QGIS 2.4 to 3.10.14 LTR, *How to do it* ?
>
> 2) To remove QGIS 2.4 and then re-install following the steps of QGIS site for linus ?
>
> I am so afraid of this last solution: if I remove and I cannot install the new QGIS.
>
> I administrator of my computer but I have also many proxis installed by my company, so I didn’t try, I am waiting for advises.
>
>  
>
> Thank you very much !
>
>  
>
> Gloria
>
>  
>
>  
>
>  
>
>  
>
>
>
>  
>
> *Gloria SENFAUTE*
> *Ingénieur Chercheur, PhD*
> Expert Aléa Sismique
> Département Electrotechnique et Mécanique des Structures - ERMES
> Groupe Séisme et Impacts, EDF Lab Paris-Saclay
> 7 Boulevard Gaspard Monge
> 91120 Palaiseau
>
>  
>
> *[hidden email]*
>
> Tél. : 33 1 78193433
>
>  
>
>
>
> Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.
>
>  
>
>
> Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.
>
> Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.
>
> Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
> ____________________________________________________
>
> This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.
>
> If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.
>
> E-mail communication cannot be guaranteed to be timely secure, error or virus-free.
>
>
> _______________________________________________
> Qgis-user mailing list
> [hidden email]
> List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
> Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
>

_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Help for QGIS installation /Aide pour installer QGIS

Richard Duivenvoorde
Hi Gloria,

The url's are valid. I can see the content in the browser.
Can you?

IF you can, the problem is that (as you said) you probably are connecting to the internet behind a proxy.
IF so, you should also need to tell your package-system/apt to do so:

In /etc/apt/apt.conf add the following line(s) but adding the right proxy urls and/or ports (3128 is a common proxy port, but it can be anything):

Acquire::http::proxy "http://proxy.yourorg.fr:3128/";
Acquire::https::proxy "https://proxy.yourorg.fr:3128/";

Note that you will probably get QGIS 3.4.

But: if this is a professional computer, please upgrade to something newer, Debian 11 is almost coming...

Regards,

Richard Duivenvoorde

On 2/24/21 9:14 AM, SENFAUTE Gloria wrote:

> Hi Richard,
> Thank you so much for your advises.
> It is impossible updating ma computer to sibian 10, it is my professional computer.
> I tried to install using: https://www.qgis.org/fr/site/forusers/alldownloads.html#quickstart
> Following the instructions, everything it is ok
> BUT, when I would update my respostry with : "sudo apt update", below the return.
> Do you know this kind of error, it is a problem of accessing to the repository or sibian 9
>
> Thank you so much for your help
> -------
> .Err:8 https://qgis.org/debian-ltr stretch InRelease            
>   Connection timed out after 120000 milliseconds
> Err:9 https://qgis.org/debian stretch InRelease
>   Connection timed out after 120000 milliseconds
> Lecture des listes de paquets... Fait
> Construction de l'arbre des dépendances      
> Lecture des informations d'état... Fait
> All packages are up to date.
> W: Impossible de récupérer https://qgis.org/debian-ltr/dists/stretch/InRelease  Connection timed out after 120000 milliseconds
> W: Impossible de récupérer https://qgis.org/debian/dists/stretch/InRelease  Connection timed out after 120000 milliseconds
>
>
>
>
> If I understand correctly, if I use
>
> -----Message d'origine-----
> De : [hidden email] [mailto:[hidden email]]
> Envoyé : mardi 23 février 2021 17:40
> À : SENFAUTE Gloria <[hidden email]>; [hidden email]
> Objet : Re: [Qgis-user] Help for QGIS installation /Aide pour installer QGIS
>
> Hi Gloria,
>
> Not sure if you can pull up to 3.10 on Debian Stretch/9 (which is rather old....).
>
> If I look here:
> https://qgis.org/debian/dists/stretch/main/binary-amd64/Packages
> it looks like that if you try to install QGIS in the normal/distro way, you will end up with QGIS 3.4  (I think, anybody can confirm ...)
>
> Isn't it possible to upgrade your machine to Debian 10/Buster?
> Then you can upgrade to 3.12 (which is 3.10 plus a little extra ;-) ) if you use the "Démarrage rapide"
> https://www.qgis.org/fr/site/forusers/alldownloads.html#quickstart
> Or even 3.14, 3.16 (tell your educator there is a newer LTR ;-) ) or higher?
>
> If all fails, you  could try to install a flatpak (but not sure about that either for Debian 9):
> https://www.qgis.org/fr/site/forusers/alldownloads.html#flatpak
>
> And if even that fails... and you have some experience with compiling yourself, you could compile from source...
>
> But: Stretch is rather old, if you ask me: upgrade to Buster/10 first
>
> Good Luck & regards,
>
> Richard Duivenvoorde
>
>
>
>
> On 2/23/21 11:23 AM, SENFAUTE Gloria wrote:
>> Dear all,
>>
>> In case, you can write in French!
>>
>> I need a strong help for updating or installing last version of QGIS.
>>
>> Working in linus (Debian GNU/Linux 9 (stretch) 64 bits).
>>
>> In my computer I have a version of QGIS (2.4 ESSEN).
>>
>> In few days I will have my first training with QGIS and I must to install: QGIS 3.10.14 LTR.
>>
>>  
>>
>> I would like to know what is the better way:
>>
>> 1)To update of QGIS 2.4 to 3.10.14 LTR, *How to do it* ?
>>
>> 2) To remove QGIS 2.4 and then re-install following the steps of QGIS site for linus ?
>>
>> I am so afraid of this last solution: if I remove and I cannot install the new QGIS.
>>
>> I administrator of my computer but I have also many proxis installed by my company, so I didn't try, I am waiting for advises.
>>
>>  
>>
>> Thank you very much !
>>
>>  
>>
>> Gloria
>>
>>  
>>
>>  
>>
>>  
>>
>>  
>>
>>
>>
>>  
>>
>> *Gloria SENFAUTE*
>> *Ingénieur Chercheur, PhD*
>> Expert Aléa Sismique
>> Département Electrotechnique et Mécanique des Structures - ERMES
>> Groupe Séisme et Impacts, EDF Lab Paris-Saclay
>> 7 Boulevard Gaspard Monge
>> 91120 Palaiseau
>>
>>  
>>
>> *[hidden email]*
>>
>> Tél. : 33 1 78193433
>>
>>  
>>
>>
>>
>> Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.
>>
>>  
>>
>>
>> Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.
>>
>> Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.
>>
>> Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
>> ____________________________________________________
>>
>> This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.
>>
>> If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.
>>
>> E-mail communication cannot be guaranteed to be timely secure, error or virus-free.
>>
>>
>> _______________________________________________
>> Qgis-user mailing list
>> [hidden email]
>> List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
>> Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user
>>
>
>
>
>
> Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.
>
> Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.
>
> Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
> ____________________________________________________
>
> This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.
>
> If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.
>
> E-mail communication cannot be guaranteed to be timely secure, error or virus-free.
>

_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user